curl --request GET \
--url https://api-staging.getmeadow.com/api/v1/compliance-transfers \
--header 'X-Client-Key: <api-key>' \
--header 'X-Consumer-Key: <api-key>'{
"data": [
{
"id": 2,
"externalId": "26264",
"type": "metrc",
"manifestNumber": "000024264",
"shipperName": null,
"shipperLicenseNumber": null,
"createdAt": "2019-03-05T23:16:40.432Z",
"packages": [
{
"id": 6,
"type": "metrc",
"externalId": "7432723",
"externalProductName": "Blue Dream",
"label": "STAGING01234567000000006",
"status": "received",
"initialAmount": "175",
"unit": "Grams",
"createdAt": "2019-03-05T23:20:35.943Z",
"onHold": false,
"tradeSample": false,
"product": {
"id": 220,
"name": "Blue Dream 3.5g",
"unit": "gram",
"strainType": "indica",
"archivedAt": null,
"deletedAt": null
},
"productOption": {
"id": 569,
"name": "",
"amount": 3.5,
"price": 3500,
"salesPrice": null,
"upc": null,
"deletedAt": null
}
},
{
"id": 8,
"type": "metrc",
"externalId": "853834",
"externalProductName": "Sour Tangie Grams",
"label": "STAGING01234567000000008",
"status": "received",
"initialAmount": "20",
"unit": "Each",
"createdAt": "2019-03-05T23:23:03.528Z",
"onHold": false,
"tradeSample": false,
"product": {
"id": 46,
"name": "Sour Tangie",
"unit": "gram",
"strainType": "sativa",
"archivedAt": null,
"deletedAt": null
},
"productOption": {
"id": 144,
"name": "Eighth",
"amount": 3.5,
"price": 4500,
"salesPrice": null,
"upc": null,
"deletedAt": null
}
}
]
},
{
"id": 1,
"externalId": "18234",
"type": "metrc",
"manifestNumber": "000018234",
"shipperName": null,
"shipperLicenseNumber": null,
"createdAt": "2019-03-05T23:16:34.520Z",
"packages": [
{
"id": 1,
"type": "metrc",
"externalId": "7437437",
"externalProductName": "Fire OG",
"label": "STAGING01234567000000001",
"status": "received",
"initialAmount": "175",
"unit": "Grams",
"createdAt": "2019-03-05T23:18:16.289Z",
"onHold": false,
"tradeSample": false,
"product": {
"id": 69,
"name": "Fire OG",
"unit": "gram",
"strainType": "hybrid-sativa",
"archivedAt": null,
"deletedAt": null
},
"productOption": {
"id": 228,
"name": "Eighth",
"amount": 3.5,
"price": 5000,
"salesPrice": null,
"upc": "0070330600171",
"deletedAt": null
}
},
{
"id": 2,
"type": "metrc",
"externalId": "144743",
"externalProductName": "Fire OG",
"label": "STAGING01234567000000002",
"status": "received",
"initialAmount": "175",
"unit": "Grams",
"createdAt": "2019-03-05T23:18:28.137Z",
"onHold": false,
"tradeSample": false,
"product": {
"id": 69,
"name": "Fire OG",
"unit": "gram",
"strainType": "hybrid-sativa",
"archivedAt": null,
"deletedAt": null
},
"productOption": {
"id": 228,
"name": "Eighth",
"amount": 3.5,
"price": 5000,
"salesPrice": null,
"upc": "0070330600171",
"deletedAt": null
}
}
]
}
]
}Retrieve all incoming transfers from a compliance system (metrc) for an organization in reverse chronological order. 50 transfers will be returned at a time and may be paginated using the startingAfter query parameter.
curl --request GET \
--url https://api-staging.getmeadow.com/api/v1/compliance-transfers \
--header 'X-Client-Key: <api-key>' \
--header 'X-Consumer-Key: <api-key>'{
"data": [
{
"id": 2,
"externalId": "26264",
"type": "metrc",
"manifestNumber": "000024264",
"shipperName": null,
"shipperLicenseNumber": null,
"createdAt": "2019-03-05T23:16:40.432Z",
"packages": [
{
"id": 6,
"type": "metrc",
"externalId": "7432723",
"externalProductName": "Blue Dream",
"label": "STAGING01234567000000006",
"status": "received",
"initialAmount": "175",
"unit": "Grams",
"createdAt": "2019-03-05T23:20:35.943Z",
"onHold": false,
"tradeSample": false,
"product": {
"id": 220,
"name": "Blue Dream 3.5g",
"unit": "gram",
"strainType": "indica",
"archivedAt": null,
"deletedAt": null
},
"productOption": {
"id": 569,
"name": "",
"amount": 3.5,
"price": 3500,
"salesPrice": null,
"upc": null,
"deletedAt": null
}
},
{
"id": 8,
"type": "metrc",
"externalId": "853834",
"externalProductName": "Sour Tangie Grams",
"label": "STAGING01234567000000008",
"status": "received",
"initialAmount": "20",
"unit": "Each",
"createdAt": "2019-03-05T23:23:03.528Z",
"onHold": false,
"tradeSample": false,
"product": {
"id": 46,
"name": "Sour Tangie",
"unit": "gram",
"strainType": "sativa",
"archivedAt": null,
"deletedAt": null
},
"productOption": {
"id": 144,
"name": "Eighth",
"amount": 3.5,
"price": 4500,
"salesPrice": null,
"upc": null,
"deletedAt": null
}
}
]
},
{
"id": 1,
"externalId": "18234",
"type": "metrc",
"manifestNumber": "000018234",
"shipperName": null,
"shipperLicenseNumber": null,
"createdAt": "2019-03-05T23:16:34.520Z",
"packages": [
{
"id": 1,
"type": "metrc",
"externalId": "7437437",
"externalProductName": "Fire OG",
"label": "STAGING01234567000000001",
"status": "received",
"initialAmount": "175",
"unit": "Grams",
"createdAt": "2019-03-05T23:18:16.289Z",
"onHold": false,
"tradeSample": false,
"product": {
"id": 69,
"name": "Fire OG",
"unit": "gram",
"strainType": "hybrid-sativa",
"archivedAt": null,
"deletedAt": null
},
"productOption": {
"id": 228,
"name": "Eighth",
"amount": 3.5,
"price": 5000,
"salesPrice": null,
"upc": "0070330600171",
"deletedAt": null
}
},
{
"id": 2,
"type": "metrc",
"externalId": "144743",
"externalProductName": "Fire OG",
"label": "STAGING01234567000000002",
"status": "received",
"initialAmount": "175",
"unit": "Grams",
"createdAt": "2019-03-05T23:18:28.137Z",
"onHold": false,
"tradeSample": false,
"product": {
"id": 69,
"name": "Fire OG",
"unit": "gram",
"strainType": "hybrid-sativa",
"archivedAt": null,
"deletedAt": null
},
"productOption": {
"id": 228,
"name": "Eighth",
"amount": 3.5,
"price": 5000,
"salesPrice": null,
"upc": "0070330600171",
"deletedAt": null
}
}
]
}
]
}Documentation Index
Fetch the complete documentation index at: https://api-docs.getmeadow.com/llms.txt
Use this file to discover all available pages before exploring further.
The key assigned to your company and provided via Meadow
The key generated and provided by our mutual client
The id for a transfer that you want to retrieve all transfers after this one. Pass in the last id in a response to retrieve the next page.
List compliance transfers response
The ID of the compliance transfer
The ID of the transfer in the compliance system (metrc)
The compliance system this transfer came from
The manifest number of the transfer in the compliance system
The name of the shipper
The state license number of the shipper
When this transfer was imported into Meadow
The packages within this transfer
Hide child attributes
The id for this package
The compliance system this package is from
The ID of this package in the compliance system
The name of the product for this package in the compliance system
The unique identifier for this package
The status of the package.
ready - The package has not been associated with a product in Meadowreceived - Active inventory associated with a product and possibly a product optionfinished - The package has 0 inventory and is not sellable.shipped - This package has currently been shipped away from this licenseetransferred - This package has been sent and is in possession of another licenseetransfer-returned - This package has been transferred back, but has not been received into inventory yetready, received, finished, shipped, transferred, transfer-returned The amount this package contained when first transferred
The unit of the package from the compliance system
The datetime this package was created
Whether this package is currently on administrative hold
Whether this package is a trade sample
The product this package has been associated with in Meadow or null if not associated yet
Hide child attributes
The ID of the product
The name of the product in Meadow
Either gram or item
sativa, indica, hybrid, hybrid-sativa, hybrid-indica, cbd, mixed, none A datetime for when this product was archived or null if it is not archived
A datetime for when this product was deleted or null if it is not deleted
The product option this package has been associated with in Meadow or null if not associated with one.
Hide child attributes
The ID of the product option
The name of the product option in Meadow
The amount of the underlying unit of this product
The price in cents of this option
The sales price if one exists
The UPC code for this option
A datetime for when this product option was deleted or null if it is not deleted